#econde table geneCounts table
getwd()
library(edgeR)
counts <- read.delim("geneCounts.tab")
countsO<-counts
counts$NAME<-NULL
group<-colnames(counts)
##################################################
group[grep("49", colnames(counts))]<-"WT"
group[grep("50", colnames(counts))]<-"MUT"
group[grep("57", colnames(counts))]<-"WT"
group[grep("58", colnames(counts))]<-"MUT"
##################################################
group[1]<-"wt_ips"
group[2]<-"wt_D30"
group[3]<-"wt"
group[4]<-"mut_ips"
group[5]<-"mut_D30"
group[6]<-"mut"
group[7]<-"wt_ips"
group[8]<-"wt_D30"
group[9]<-"wt"
group[10]<-"mut_ips"
group[11]<-"mut_D30"
group[12]<-"mut"
group
table(group)

finalDF<-data.frame(colnames(counts), group)
write.table(finalDF, "samples_group.tab", col.names = NA, sep="\t")
##############################################
###############COMPARACION 1 ##################
wtIPS<-grep("wt_ips", group)
wtD30<-grep("wt_D30", group)
subset<-counts[,c(wtIPS, wtD30)]
colnames(subset)
group1<-group[c(wtIPS, wtD30)]
write.table(  data.frame(colnames(subset), group1), file="samples_group1.tab", col.names = NA, sep="\t")
nonzero<-subset[rowSums(subset)>0,];dim(nonzero)#33916
#remove nonzero rows
y <- DGEList(counts=nonzero,group=group1)
dim(y$counts) #52465
#filtrar:
keep <- rowSums(cpm(y)>1) >= 3; length(which(keep))#13766
 y <- y[keep, , keep.lib.sizes=FALSE]
 y <- calcNormFactors(y)
 design <- model.matrix(~0+group1)
 y <- estimateDisp(y)
 y <- estimateCommonDisp(y)
 y <- estimateTagwiseDisp(y)
 et <- exactTest(y)
 et$table$fdr<-p.adjust(et$table$PValue)
 names<-match(rownames(et$table), rownames(countsO))
et$table$NAME<-countsO$NAME[names];topTags(et)
colors<-group1
colors[colors=="wt_ips"]<-"red"
colors[colors=="wt_D30"]<-"blue"
png("wt_ips_D30.png")
plotMDS(y, labels = group1, col=as.character(colors))
dev.off()
plot(et$table$logCPM, et$table$logFC)
abline(h=c(-2,-1,0,1,2))
##################################################################################
write.table(et$table,"wt_ips_D30.tab", sep="\t", col.names = NA)
###############COMPARACION 2 ##################
    